// GENERATED BY MITOSIS

import RenderBlocks from "../../components/render-blocks";
import { markMutable } from "../../functions/mark-mutable";
import { Fragment, component$, h, useStylesScoped$ } from "@builder.io/qwik";
export const getGutterSize = function getGutterSize(props, state) {
  return typeof props.space === "number" ? props.space || 0 : 20;
};
export const getColumns = function getColumns(props, state) {
  return props.columns || [];
};
export const getWidth = function getWidth(props, state, index) {
  const columns = getColumns(props, state);
  return columns[index]?.width || 100 / columns.length;
};
export const getColumnCssWidth = function getColumnCssWidth(
  props,
  state,
  index
) {
  const columns = getColumns(props, state);
  const gutterSize = getGutterSize(props, state);
  const subtractWidth = (gutterSize * (columns.length - 1)) / columns.length;
  return `calc(${getWidth(props, state, index)}% - ${subtractWidth}px)`;
};
export const maybeApplyForTablet = function maybeApplyForTablet(
  props,
  state,
  prop
) {
  const _stackColumnsAt = props.stackColumnsAt || "tablet";

  return _stackColumnsAt === "tablet" ? prop : "inherit";
};
export const columnsCssVars = function columnsCssVars(props, state) {
  const flexDir =
    props.stackColumnsAt === "never"
      ? "inherit"
      : props.reverseColumnsWhenStacked
      ? "column-reverse"
      : "column";
  return {
    "--flex-dir": flexDir,
    "--flex-dir-tablet": maybeApplyForTablet(props, state, flexDir),
  };
};
export const columnCssVars = function columnCssVars(props, state) {
  const width = "100%";
  const marginLeft = "0";
  return {
    "--column-width": width,
    "--column-margin-left": marginLeft,
    "--column-width-tablet": maybeApplyForTablet(props, state, width),
    "--column-margin-left-tablet": maybeApplyForTablet(
      props,
      state,
      marginLeft
    ),
  };
};
export const Columns = component$((props) => {
  useStylesScoped$(STYLES);
  const state = {};
  return (
    <div
      class="builder-columns div-Columns"
      style={columnsCssVars(props, state)}
    >
      {(props.columns || []).map(function (column, index) {
        return (
          <div
            class="builder-column div-Columns-2"
            style={{
              width: getColumnCssWidth(props, state, index),
              marginLeft: `${index === 0 ? 0 : getGutterSize(props, state)}px`,
              ...columnCssVars(props, state),
            }}
            key={index}
          >
            <RenderBlocks
              blocks={markMutable(column.blocks)}
              path={`component.options.columns.${index}.blocks`}
              parent={props.builderBlock.id}
            ></RenderBlocks>
          </div>
        );
      })}
    </div>
  );
});
export default Columns;
export const STYLES = `.div-Columns { 
display: flex;
align-items: stretch;
line-height: normal; }@media (max-width: 991px) { .div-Columns { 
flex-direction: var(--flex-dir-tablet); } }@media (max-width: 639px) { .div-Columns { 
flex-direction: var(--flex-dir); } }.div-Columns-2 { 
flex-grow: 1; }@media (max-width: 991px) { .div-Columns-2 { 
width: var(--column-width-tablet) !important;
margin-left: var(--column-margin-left-tablet) !important; } }@media (max-width: 639px) { .div-Columns-2 { 
width: var(--column-width) !important;
margin-left: var(--column-margin-left) !important; } }`;
