const handleABTesting = (item, testGroups) => {
  if (item.variations && Object.keys(item.variations).length) {
    const testGroup = item.id ? testGroups[item.id] : void 0;
    const variationValue = testGroup ? item.variations[testGroup] : void 0;
    if (testGroup && variationValue) {
      item.data = variationValue.data;
      item.testVariationId = variationValue.id;
      item.testVariationName = variationValue.name;
    } else {
      let n = 0;
      const random = Math.random();
      let set = false;
      for (const id in item.variations) {
        const variation = item.variations[id];
        const testRatio = variation.testRatio;
        n += testRatio;
        if (random < n) {
          const variationName = variation.name || (variation.id === item.id ? "Default variation" : "");
          set = true;
          Object.assign(item, {
            data: variation.data,
            testVariationId: variation.id,
            testVariationName: variationName
          });
        }
      }
      if (!set) {
        Object.assign(item, {
          testVariationId: item.id,
          testVariationName: "Default"
        });
      }
    }
  }
};
export {
  handleABTesting
};
