import { getCookie, setCookie } from "./cookie";
import { checkIsDefined } from "./nullable";
import { uuid } from "./uuid";
const SESSION_LOCAL_STORAGE_KEY = "builderSessionId";
const getSessionId = ({ canTrack }) => {
  if (!canTrack) {
    return void 0;
  }
  const sessionId = getCookie({ name: SESSION_LOCAL_STORAGE_KEY, canTrack });
  if (checkIsDefined(sessionId)) {
    return sessionId;
  } else {
    const newSessionId = createSessionId();
    setSessionId({ id: newSessionId, canTrack });
  }
};
const createSessionId = () => uuid();
const setSessionId = ({
  id,
  canTrack
}) => setCookie({ name: SESSION_LOCAL_STORAGE_KEY, value: id, canTrack });
export {
  createSessionId,
  getSessionId,
  setSessionId
};
